echo ">>>>>>>>>>>>> CLOUD TC INITIAL SETUP <<<<<<<<<<<<<<"

mkdir /boot
mount -t vfat /dev/block/mmcblk0p1 /boot    

mkdir /data/sdcard
chmod 0777 /data/sdcard

mkdir /data/sdcard/download
chmod 0777 /data/sdcard/download

mkdir /data/sdcard/Android
chmod 0777 /data/sdcard/Android

mkdir /data/sdcard/SlideME
chown system.system /data/sdcard/SlideME
chmod 0777 /data/sdcard/SlideME
chmod 0777 /data/sdcard/SlideME/*

# this is for apps that assume that the sdcard is on /sdcard
/diags/busybox rm -rf /sdcard
ln -s /data/sdcard /sdcard

# clean up i-jetty directories
/diags/busybox rm -rf /data/sdcard/jetty*
/diags/busybox rm -rf /data/sdcard/Jetty*

# set up busybox

#mkdir /data/busybox
#echo ">>>>> Installing busybox <<<<<"
#/system/xbin/busybox --install -s /system/xbin
#status=$?
#echo ">>>>> Done installing busybox, exit code=$status <<<<<"

# clean up last glass update in /cache
/diags/busybox rm -rf /cache/glass

# read existing boot.scr and if the variable mmcroot is set to mmcblk0p2, then set MEWPART to mmcblk0p3, otherwise, the other way around

BOOTFILE=/boot/boot.scr

/diags/busybox grep -q mmcblk0p3 $BOOTFILE

if [ $? -eq 0 ]
then
	NEWPART=/dev/block/mmcblk0p2
else
	NEWPART=/dev/block/mmcblk0p3
fi

echo $NEWPART

mount -t ext3 $NEWPART /newrootfs  

mkdir /cloud/install
chmod 0777 /cloud/install

/sbin/adbd &

/cloud/install-service.sh &

/system/bin/watchdogd &

alsa_amixer cset numid=7 100%
alsa_amixer cset numid=4 50%
alsa_amixer cset numid=3 80%
alsa_amixer cset numid=13 50%
alsa_amixer cset numid=56 1

#if [ -e /data/system/pointercal ]
#then
#	mv /system/etc/pointercal  /system/etc/pointercal.bak
#	cp /data/system/pointercal /system/etc/pointercal
#fi

/system/xbin/mkdir -p /data/sdcard/Android/data
chmod 777 /data/sdcard/Android
chmod 777 /data/sdcard/Android/data

/system/xbin/mkdir -p /data/sdcard/bluetooth
chmod 777 /data/sdcard/bluetooth

/system/xbin/mkdir -p /data/sdcard/DCIM
chmod 777 /data/sdcard/DCIM

/cloud/reboot_history.sh &

chmod 777 /system/bin/map_sco_pcm
chown system.system /system/bin/map_sco_pcm

# Mapping Bluetooth SCO over PCM lines
/system/bin/map_sco_pcm &

# Turn on the Home LED
echo 1 > /sys/devices/platform/leds-gpio/leds/cloudphone::led3/brightness

# Turn on the speaker
echo 207 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio207/direction
echo 0 > /sys/class/gpio/gpio207/value

if [ -e /proc/last_kmsg ]
then
	chmod 777 /proc/last_kmsg
	chown system.system /proc/last_kmsg
	cp /proc/last_kmsg /data/sdcard/last_kmsg
fi

touch /cloud/lastrebootinfo
chmod 777 /cloud/lastrebootinfo
chown system.system /cloud/lastrebootinfo

touch /cloud/handsetcordtype
chmod 777 /cloud/handsetcordtype
chown system.system /cloud/handsetcordtype

MAJOR_VERSION=`getprop glass.major.version`
BUILD_NUMBER=`getprop glass.release.version`

echo "echo $MAJOR_VERSION > /root/android_major_version ; echo $BUILD_NUMBER > /root/android_minor_version ; exit 0" | nc 10.55.44.253 7777


echo ">>>>>>>>>>> CLOUD TC INITIAL SETUP DONE <<<<<<<<<<<"
